---
{
.title = "Projects",
.date = @date("2024-07-15T00:00:00"),
.author = "koehr",
.draft = false,
.layout = "page.html",
.description = "Stuff I made. This is mostly about software, but might also include some TTRPG related things, from time to time.",
.tags = [],
}
---

I tend to host my code on multiple places, typically [Sourcehut](https://sr.ht) and [my Forgejo server](https://git.k0r.in). Usually, if it involves a community, it is hosted or mirrored on Github as well, for visibility.

## 250kB Club [🔗](https://250kb.club)

<img src="/projects/250kb.jpg" title="250kB Club Screenshot" alt="250kB Club Screenshot" />

I am the creator of 250kB Club, which should actually be called 256kb.club, but that thought reached me only after I got the domain.

Already in 2016, we crossed the line, where the typical website is bigger than the game Doom. I think, we can do better! The 250kB Club is a collection of web pages that focus on performance, efficiency and accessibility. Originally inspired by [1mb.club](https://1mb.club), I created the 250kB Club, because I don't think 1MB is small enough. Not long ago, we would have waited 10 or more minutes to load this amount of data and not everyone in the world is a lucky high-speed internet user.

Source code: [github](https://github.com/nkoehring/250kb-club), [sourcehut](https://git.sr.ht/~koehr/the-250kb-club), [selfhosted](https://git.k0r.in/n/250kb-Club)

## Starsy [🔗](https://starsy.netlify.app)

<img src="/projects/starsy.jpg" title="Starsy Screenshot" alt="Starsy Screenshot" />

For a hard sci-fi campaign setting, I once planned, I created this star system generator. I wanted to recreate the style of some image I found on reddit, a while ago.

Source code: [github](https://github.com/nkoehring/starsy), [selfhosted](https://git.k0r.in/n/starsy)

## RPG-Cards-ng [🔗](https://rpg-cards-ng.netlify.app)

<img src="/projects/rpgcards.jpg" title="RPG-Cards-ng Screenshot" alt="RPG-Cards-ng Screenshot" />

I wanted to be able to create good looking cards for RPG sessions but didn't find a good tool that makes designing them simple and intuitive. So I created my own tool.

Source code: [github](https://github.com/nkoehring/rpg-cards-ng), [selfhosted](https://git.k0r.in/n/rpg-cards-ng)

## Vuejs//Berlin [🔗](https://vuejs.berlin)

<img src="/projects/vuejsberlin.jpg" title="Vuejs Berlin Screenshot" alt="Vuejs Berlin Screenshot" />

I host the monthly Vuejs//Berlin meetup and created this homepage to publish details about the upcoming and former meetups. It also hosts a newsletter archive.

The Vuejs//Berlin meetup is Berlins community around the [Vue Framework](https://vuejs.org) and its ecosystem. We meet monthly every second Tuesday. Doors open at 19:00, talks usually start around 19:30. Subscribe to [the event calendar](https://lu.ma/vuejs_berlin) to never miss an update!

Source code: [github](https://github.com/VuejsBerlin/new.vuejs.berlin)


## Projects for myself

Just for the sake of completeness and to motivate myself to keep track of it, here are some private projects around my own setup.

### Homepage Overhaul

> With lots of work comes lots of opportunity for productive procrastination

Not too long ago, .ing <span title="Top Level Domain">TLDs</span> became available, that allowed me to finally have my full name as a "cool" domain name: `koehr.ing`. Other domains I have are `nkoehring.de` (boring), `koehr.in` (confusing) and `k0r.in` (nerdy). `koehri.ng` wouldn't be possible due to domain registars policies or pricing (Nigeria used to have the british model, like allowing only net.ng, com.ng, and so on. Later they allowed more, but the price would be pretty high).

Why am I writing all this? Because the new domain name made me think about my homepage as a professional. I wanted to have something, that showcases my skills while not being the usual boring homepage. This is how [the interactive homepage experiment](https://cli.koehr.ing) began; a terminal like website, written from scratch. Having this, I now also needed to change my old homepage to somehow feature my new shiny experiment. But my old homepage is white and not very responsive; two very good reasons (for me), to change it. So I also started writing a completely new homepage, using [vss](https://github.com/vssio/vss). Pretty soon I realised, it is by far not mature enough for my needs, so I started building workarounds to suit my needs, so I don't get stuck in the rabbit hole of choosing frameworks over finishing the page. My plan is, to finish the page and its content and then, when there is time, move it on top of something more sophisticated, like good ol' [Zola](https://www.getzola.org/).

### New Server

I found a pretty cheap dedicated server with tons of space and quite some CPU power, compared to cheap virtual servers. Now I need to move everything I hosted on a VServer before. That is not a simple task, unfortunately, as I tend to overthink and want to use the change to make everything better (or just different, maybe). This move includes a switch from [Docker](https://www.docker.com/) and [systemd services](https://blog.container-solutions.com/running-docker-containers-with-systemd) to [podman](https://podman.io/) and [lingering users](https://wiki.archlinux.org/title/Systemd/User#Automatic_start-up_of_systemd_user_instances). This way, no root enabled service is involved in running any outside-facing services. This website and everything under the koehr.ing domain runs already on the new server.

### learned.today

Quite a while (aka way too long) ago, I bought the domain `learned.today` and thought about some idea around a Today I learned page or service, where people just share short snippets of things they just learned, similar to [my TIL page](/til). I never got to implementing it though. I wrote it down here as a motivation for myself, to finally work on it.
